cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/physical-replication-streams?primary_cluster_id=SOME_STRING_VALUE&standby_cluster_id=SOME_STRING_VALUE&cluster_id=SOME_STRING_VALUE&show_completed=SOME_BOOLEAN_VALUE&pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"physical_replication_streams": [
{
"activation_at": "2006-01-03T15:04:15Z",
"created_at": "2006-01-02T15:04:05Z",
"failover_at": "2006-01-03T15:04:05Z",
"id": "00000000-0000-0000-0000-000000000001",
"primary_cluster_id": "00000000-0000-0000-0000-000000000002",
"replicated_time": "2006-01-03T15:04:04Z",
"retained_time": "2006-01-02T15:04:06Z",
"standby_cluster_id": "00000000-0000-0000-0000-000000000003",
"status": "COMPLETED"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List physical replication streams
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DEVELOPER
GET
/
api
/
v1
/
physical-replication-streams
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/physical-replication-streams?primary_cluster_id=SOME_STRING_VALUE&standby_cluster_id=SOME_STRING_VALUE&cluster_id=SOME_STRING_VALUE&show_completed=SOME_BOOLEAN_VALUE&pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"physical_replication_streams": [
{
"activation_at": "2006-01-03T15:04:15Z",
"created_at": "2006-01-02T15:04:05Z",
"failover_at": "2006-01-03T15:04:05Z",
"id": "00000000-0000-0000-0000-000000000001",
"primary_cluster_id": "00000000-0000-0000-0000-000000000002",
"replicated_time": "2006-01-03T15:04:04Z",
"retained_time": "2006-01-02T15:04:06Z",
"standby_cluster_id": "00000000-0000-0000-0000-000000000003",
"status": "COMPLETED"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
primary_cluster_id, if set, will cause only replication streams with this cluster as the primary to be returned.
standby_cluster_id, if set, will cause only replication streams with this cluster as the standby to be returned.
cluster_id, if set, will cause replication streams with this cluster as the primary or the standby to be returned.
show_completed specifies whether or not replication streams in the completed state are shown.
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
